Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts.taglib
Class FormTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.html.FormTag
              org.apache.portals.bridges.struts.taglib.FormTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, Serializable, javax.servlet.jsp.tagext.Tag

public class FormTag
extends org.apache.struts.taglib.html.FormTag

Supports the Struts html:form tag to be used within a Portlet context.

Version:
  $Id: FormTag.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.html.FormTag
`acceptCharset, action, beanName, beanScope, beanType, enctype, focus, focusIndex, lineEnd, mapping, messages, method, moduleConfig, onreset, onsubmit, readonly, scriptLanguage, servlet, style, styleClass, styleId, target`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormTag()`

Method Summary
`protected String` | `renderFormStartElement()` Modifies the default generated form action url to be a valid Portlet ActionURL when in the context of a `PortletRequest`.

Methods inherited from class org.apache.struts.taglib.html.FormTag
`doEndTag, doStartTag, getAcceptCharset, getAction, getBeanName, getEnctype, getFocus, getFocusIndex, getMethod, getOnreset, getOnsubmit, getScriptLanguage, getStyle, getStyleClass, getStyleId, getTarget, initFormBean, isDisabled, isReadonly, lookup, release, renderAction, renderAttribute, renderFocusJavascript, renderName, renderOtherAttributes, renderToken, setAcceptCharset, setAction, setDisabled, setEnctype, setFocus, setFocusIndex, setMethod, setOnreset, setOnsubmit, setReadonly, setScriptLanguage, setStyle, setStyleClass, setStyleId, setTarget`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormTag

    public FormTag()

Method Detail

### renderFormStartElement

    protected String renderFormStartElement()

  Modifies the default generated form action url to be a valid Portlet ActionURL when in the context of a `PortletRequest`.

  Returns:
    the formStartElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.